commit:     4f613c9fe28398d60b4329e2e9e64dd5316579fd
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon Oct  1 20:07:08 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Oct  1 20:08:19 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f613c9f

media-libs/aubio: Disable tests for real

Tests were always built and run regardless. At least disable them
if not requested.

Bug: https://bugs.gentoo.org/651956
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
Package-Manager: Portage-2.3.50, Repoman-2.3.11

 media-libs/aubio/aubio-0.4.7.ebuild | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/media-libs/aubio/aubio-0.4.7.ebuild 
b/media-libs/aubio/aubio-0.4.7.ebuild
index a7d7db9a590..c7b767af9eb 100644
--- a/media-libs/aubio/aubio-0.4.7.ebuild
+++ b/media-libs/aubio/aubio-0.4.7.ebuild
@@ -15,7 +15,7 @@ SRC_URI="https://aubio.org/pub/${P}.tar.bz2";
 LICENSE="GPL-3"
 SLOT="0/5"
 KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
-IUSE="doc double-precision examples ffmpeg fftw jack libav libsamplerate 
sndfile python"
+IUSE="doc double-precision examples ffmpeg fftw jack libav libsamplerate 
sndfile python test"
 
 RDEPEND="
        ffmpeg? (
@@ -46,7 +46,11 @@ PYTHON_SRC_DIR="${S}"
 
 src_prepare() {
        default
-       sed -i -e "s:doxygen:doxygen_disabled:" wscript || die
+       sed -e "s:doxygen:doxygen_disabled:" -i wscript || die
+
+       if ! use test; then
+               sed -e "/bld.*tests/d" -i wscript || die
+       fi
 }
 
 src_configure() {

Reply via email to